package com.template.service;

import com.template.domain.CarType;
import com.template.domain.SysCar;
import com.template.domain.resp.CarTypeResp;

import java.util.List;

/**
 * @Author：liuxinyue
 * @Package：com.template.service
 * @Project：cloud-server
 * @name：CarService
 * @Date：2024/9/21 9:25
 */
public interface CarService {
    SysCar findCarByVin(String carVin);

    CarType findCarTypeById(Long carTypeId);

    List<CarTypeResp> findAllCars();


}
